> For the complete documentation index, see [llms.txt](https://docs.rasgoml.com/rasgo-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/unpivot.md).

# Unpivot

Performs a UNPIVOT operation, rotating a table by transforming columns into rows

## Parameters

| Name          | Type         | Description                                                                                                                                                                           | Is Optional |
| ------------- | ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| value\_column | string       | The name to assign to the generated column that will be populated with the values from the columns in the column list                                                                 |             |
| name\_column  | string       | The name to assign to the generated column that will be populated with the names of the columns in the column list                                                                    |             |
| column\_list  | column\_list | List of columns in the source table that will be narrowed into a single pivot column. The column names will populate name\_column, and the column values will populate value\_column. |             |

## Example

```python
internet_sales = rasgo.get.dataset(74)

ds2 = internet_sales.unpivot(
    value_column="SALES_FEES",
    name_column="PRODUCT",
    column_list=["TAXAMT", "FREIGHT"]
    )

ds2.preview()
```

## Source Code

{% embed url="<https://github.com/rasgointelligence/RasgoTransforms/blob/main/rasgotransforms/rasgotransforms/transforms/unpivot/unpivot.sql>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.rasgoml.com/rasgo-docs/rasgo-0.1/all-transforms/unpivot.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
